FLAC: FLAC::Metadata::SimpleIterator Class Reference

Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC::Metadata::SimpleIterator Class Reference
[FLAC++/metadata.h: metadata level 1 interface]

`#include <metadata.h>`

List of all members.

## Detailed Description

This class is a wrapper around the FLAC__metadata_simple_iterator structures and methods; see the usage guide and FLAC__Metadata_SimpleIterator.

## Public Member Functions
bool | is_valid () const
bool | init (const char *filename, bool read_only, bool preserve_file_stats)
Status | status ()
bool | is_writable () const
bool | next ()
bool | prev ()
bool | is_last () const
off_t | get_block_offset () const
::FLAC__MetadataType | get_block_type () const
unsigned | get_block_length () const
bool | get_application_id (FLAC__byte *id)
Prototype * | get_block ()
bool | set_block (Prototype *block, bool use_padding=true)
bool | insert_block_after (Prototype *block, bool use_padding=true)
bool | delete_block (bool use_padding=true)
## Protected Member Functions
void | clear ()
## Protected Attributes
::FLAC__Metadata_SimpleIterator * | iterator_
## Classes
class | Status

## Member Function Documentation

bool FLAC::Metadata::SimpleIterator::is_valid | ( |  | ) | const

| Returns `true` iff object was properly constructed.

bool FLAC::Metadata::SimpleIterator::init | ( | const char * | filename,
|  | bool | read_only,
|  | bool | preserve_file_stats
| ) |

| See FLAC__metadata_simple_iterator_init().

Status FLAC::Metadata::SimpleIterator::status | ( |  | ) |

| See FLAC__metadata_simple_iterator_status().

bool FLAC::Metadata::SimpleIterator::is_writable | ( |  | ) | const

| See FLAC__metadata_simple_iterator_is_writable().

bool FLAC::Metadata::SimpleIterator::next | ( |  | ) |

| See FLAC__metadata_simple_iterator_next().

bool FLAC::Metadata::SimpleIterator::prev | ( |  | ) |

| See FLAC__metadata_simple_iterator_prev().

bool FLAC::Metadata::SimpleIterator::is_last | ( |  | ) | const

| See FLAC__metadata_simple_iterator_is_last().

off_t FLAC::Metadata::SimpleIterator::get_block_offset | ( |  | ) | const

| See FLAC__metadata_simple_iterator_get_block_offset().

::FLAC__MetadataType FLAC::Metadata::SimpleIterator::get_block_type | ( |  | ) | const

| See FLAC__metadata_simple_iterator_get_block_type().

unsigned FLAC::Metadata::SimpleIterator::get_block_length | ( |  | ) | const

| See FLAC__metadata_simple_iterator_get_block_length().

bool FLAC::Metadata::SimpleIterator::get_application_id | ( | FLAC__byte * | id | ) |

| See FLAC__metadata_simple_iterator_get_application_id().

Prototype* FLAC::Metadata::SimpleIterator::get_block | ( |  | ) |

| See FLAC__metadata_simple_iterator_get_block().

bool FLAC::Metadata::SimpleIterator::set_block | ( | Prototype * | block,
|  | bool | use_padding = `true`
| ) |

| See FLAC__metadata_simple_iterator_set_block().

bool FLAC::Metadata::SimpleIterator::insert_block_after | ( | Prototype * | block,
|  | bool | use_padding = `true`
| ) |

| See FLAC__metadata_simple_iterator_insert_block_after().

bool FLAC::Metadata::SimpleIterator::delete_block | ( | bool | use_padding = `true` | ) |

| See FLAC__metadata_simple_iterator_delete_block().

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |